<?php
/**
 * Authserver, an OAuth2-based single-signon authentication provider written in PHP.
 *
 * Copyright (C) $today.date  Lars Vierbergen
 *
 * his program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

class VersionAuthserverStats20171102211518 extends AbstractMigration
{

    public function up(Schema $schema)
    {
        $authEntry = $schema->createTable('vierbergenlars_stats_auth');

        $authEntry->addColumn('id', 'integer')->setAutoincrement(true);
        $authEntry->addColumn('ip', 'string');
        $authEntry->addColumn('ts', 'datetime');
        $authEntry->addColumn('success', 'boolean');

        $authEntry->setPrimaryKey([
            'id'
        ]);
    }

    public function down(Schema $schema)
    {
        $schema->dropTable('vierbergenlars_stats_auth');
    }
}

